let table;
let attack0 = 0;
let attack20 = 0;
let attack40 = 0;
let attack60 = 0;
let attack80 = 0;
let attack100 = 0;
let attack120 = 0;
let attack160 = 0;
let attack140 = 0;
let attack180 = 0;
let attackTest = 0;

let url =
  'https://gist.githubusercontent.com/Ahuynh111/1e482a97d70acac597f636b109d9d74e/raw/ea243b11086e226c5f416302f931d3c77e42ac8d/PokemonStats.csv';

function preload() {
  table = loadTable(url, 'csv', 'header');
}

function setup() {
  // put setup code here
  createCanvas(700, 700);
  var attack = table.getColumn('Attack');
  var pokemon = table.getColumn('Name');

  //attack bins
  for (var i = 0; i < pokemon.length; i++) {
    if (attack[i] > 0 && attack[i] <= 20) {
      attack0++;
    } else if (attack[i] > 20 && attack[i] <= 40) {
      attack20++;
    } else if (attack[i] > 40 && attack[i] <= 60) {
      attack40++;
    } else if (attack[i] > 60 && attack[i] <= 80) {
      attack60++;
    } else if (attack[i] > 80 && attack[i] <= 100) {
      attack80++;
    } else if (attack[i] > 100 && attack[i] <= 120) {
      attack100++;
    } else if (attack[i] > 120 && attack[i] <= 140) {
      attack120++;
    } else if (attack[i] > 140 && attack[i] <= 160) {
      attack140++;
    } else if (attack[i] > 160 && attack[i] <= 180) {
      attack160++;
    } else if (attack[i] > 180) {
      attack180++;
    }
  }
}

function draw() {
  background(255);

  //background grid
  stroke(235, 235, 235);
  for (i = 0; i < 10; i++) {
    for (j = 0; j < 500; j = j + 50) {
      rect(100 + j, 100 + i * 50, 50, 50);
    }
  }

  //title
  text(
    'Count of Pokemon at Differing Attack Levels - Histogram',
    200,
    50,
  );

  //x axis
  text('Attack Level Bins', 280, 650);
  for (i = 0; i < 10; i++) {
    text(i * 20, 100 + i * 50, 615);
  }

  //y axis
  for (i = 0; i < 10; i++) {
    text(i * 50, 75, 600 - i * 50);
  }

  rotate(-HALF_PI);
  text('Count of Pokemon', -400, 40);
  rotate(HALF_PI);

  //plot
  stroke(0, 0, 0);
  rect(100, 600, 50, -attack0);
  rect(150, 600, 50, -attack20);
  rect(200, 600, 50, -attack40);
  rect(250, 600, 50, -attack60);
  rect(300, 600, 50, -attack80);
  rect(350, 600, 50, -attack100);
  rect(400, 600, 50, -attack120);
  rect(450, 600, 50, -attack140);
  rect(500, 600, 50, -attack160);
  rect(550, 600, 50, -attack180);
}
